Bug 29871 - Remove marcflavour param in Koha::Biblio->get_marc_notes
Summary: Remove marcflavour param in Koha::Biblio->get_marc_notes
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 27268
Blocks: 29652
  Show dependency treegraph
 
Reported: 2022-01-13 07:13 UTC by Fridolin Somers
Modified: 2022-06-07 12:41 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes (5.61 KB, patch)
2022-01-13 07:20 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes (5.61 KB, patch)
2022-01-13 07:21 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes (7.16 KB, patch)
2022-05-25 11:17 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-01-13 07:13:19 UTC
Remove marcflavour param in Koha::Biblio->get_marc_*
We use system preference.
Comment 1 Fridolin Somers 2022-01-13 07:20:48 UTC Comment hidden (obsolete)
Comment 2 Fridolin Somers 2022-01-13 07:21:26 UTC
Created attachment 129379 [details] [review]
Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes

Test plan :
Display a biblio record with some MARC notes in details page and basket,
OPAC and staff
Run prove t/db_dependent/Koha/Biblio.t
Comment 3 David Nind 2022-04-30 22:21:30 UTC
Patch no longer applies 8-(..

git bz apply 29871

Bug 29871 - Remove marcflavour param in Koha::Biblio->get_marc_notes

129379 - Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes
Using index info to reconstruct a base tree...
M	Koha/Biblio.pm
M	basket/basket.pl
M	catalogue/detail.pl
M	opac/opac-basket.pl
M	opac/opac-detail.pl
M	t/db_dependent/Koha/Biblio.t
Falling back to patching base and 3-way merge...
Auto-merging t/db_dependent/Koha/Biblio.t
Auto-merging opac/opac-detail.pl
Auto-merging opac/opac-basket.pl
Auto-merging catalogue/detail.pl
CONFLICT (content): Merge conflict in catalogue/detail.pl
Auto-merging basket/basket.pl
Auto-merging Koha/Biblio.pm
error: Failed to merge in the changes.
Patch failed at 0001 Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes
Comment 4 Martin Renvoize 2022-05-25 11:17:17 UTC
Created attachment 135337 [details] [review]
Bug 29871: Remove marcflavour param in Koha::Biblio->get_marc_notes

Test plan :
Display a biblio record with some MARC notes in details page and basket,
OPAC and staff
Run prove t/db_dependent/Koha/Biblio.t

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-05-25 11:18:09 UTC
Trivial and sensible fix..

Straight QAing.. Passed.
Comment 6 Tomás Cohen Arazi 2022-06-06 17:33:09 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!